Bug 29507 - sshd fails to properly restart requiring console intervention
Summary: sshd fails to properly restart requiring console intervention
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-26 03:41 UTC by Matthew Galgoci
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 20:24:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2001-02-26 03:41:07 UTC
A remote upgrade of sshd from the wolverine beta to the openssh version 2.5
in the 
20010225 build of rawhide fails to restart sshd after performing an
upgrade. I should
be able to remotely upgrade sshd without having to have sshd restarted from
the
physical console of the machine.

Comment 1 Nalin Dahyabhai 2001-02-26 21:35:23 UTC
Was sshd running previously?  What messages did you get when you ran the
upgrade?

Comment 2 Matthew Galgoci 2001-02-26 21:39:11 UTC
The machine was running a stock wolverine setup. sshd was running. I was sshed 
into the machine remotely playing around. I remotely upgraded the kernel to 
the rawhide kernel, and remotely rebooted the box. After the machien came back,
I ssh'd back in and did an rpm -Fhv openssh-* on the openssh rpms that I had 
downloaded from porkchop.

Is this enough info ?

Comment 3 Matthew Galgoci 2001-02-26 21:40:41 UTC
Oh head. after the rpm -Fvh finished, sshd closed my connection and I had to 
get up from the couch, walk over, and restart sshd manually. extreme suckage.

Comment 4 Pekka Savola 2001-02-28 20:24:10 UTC
The same happened to me, see #28611

Comment 5 Nalin Dahyabhai 2001-09-06 12:54:52 UTC
This appears to be fixed, at least as of rawhide-20010906.


Note You need to log in before you can comment on or make changes to this bug.